Skip to main content
POST
/
api
/
public
/
v1
/
roboadvisor
/
deposit
curl --request POST \
  --url https://api.wallbit.io/api/public/v1/roboadvisor/deposit \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "robo_advisor_id": 1,
  "amount": 500,
  "from": "DEFAULT"
}
'
{
  "data": {
    "uuid": "550e8400-e29b-41d4-a716-446655440000",
    "type": "ROBOADVISOR_DEPOSIT",
    "amount": 500,
    "status": "PENDING",
    "created_at": "2024-01-15T10:30:00+00:00"
  }
}

Authorizations

X-API-Key
string
header
required

API Key authentication. Obtain your API key from the Wallbit dashboard under Settings → API Keys.

Body

application/json
robo_advisor_id
integer
required

ID of the destination Robo Advisor or Chest portfolio. Obtained from the GET /roboadvisor/balance endpoint

Example:

1

amount
number<float>
required

Amount to deposit in USD (minimum: 10)

Required range: x >= 10
Example:

500

from
enum<string>
required

Source account. DEFAULT = checking account, INVESTMENT = investment account (trading cash)

Available options:
DEFAULT,
INVESTMENT
Example:

"DEFAULT"

Response

Deposit initiated successfully

data
object